MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025109Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-07-29 10:032014-11-11 13:02
Reporterpkv 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025109: Check PolygonOnTriangulation contained in edges
DescriptionAn imported edge (circle) contains PolygonOnTriangulation that has no relations to the edge.
The information is used by the algorithms and provides eventually wrong final results.
(ex. BRepBndLib::Add)
The proposal is to check PolygonOnTriangulation by means of BRepCheck classes.

The case is Customer case [task: PLXS-02-003, #C2_1]
Steps To Reproduce
restore e1 b2
bounding b2
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug25109
Attached Files? file icon e1 (42,339 bytes) 2014-07-29 10:04
zip file icon problem_edges.zip (143,360 bytes) 2014-08-20 10:28
png file icon EmeshStandardF2_edge.PNG (35,797 bytes) 2014-08-20 10:28

- Relationships

-  Notes
(0030661)
git (administrator)
2014-08-11 18:26

Branch CR25109_1 has been created by nbv.

SHA-1: 599f6b66879fe4ada749746ab5134806385eefee


This branch includes the following new commits:

       new 599f6b6 0025109: It Is necesary tio check polygons contained in edges.


Detailed log of new commits:

commit 599f6b66879fe4ada749746ab5134806385eefee
Author: nbv
Date: Mon Aug 11 18:25:22 2014 +0400

    0025109: It Is necesary tio check polygons contained in edges.
    
    Check if PolygonOnTriangulation has some relation for the input edge.
(0030667)
git (administrator)
2014-08-12 09:49

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 07e415ec694a5a20a4d7cf204b9432960f12cd0e
(0030673)
git (administrator)
2014-08-12 11:51

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 2e566929d8996d1c21adb7916c481f271f68fb0e
(0030719)
git (administrator)
2014-08-13 15:04

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 09ccd7828c265f7869a231d8763e471e57ca3a5a
(0030727)
git (administrator)
2014-08-13 18:00

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: adfcd3a3936437be80b3c74afca95b97bd9941c9
(0030735)
nbv (developer)
2014-08-14 09:19

Branch CR25109_1 is ready to be reviewed.
(0030751)
ifv (developer)
2014-08-14 15:48

It is better do not remove existing polygon, if new polygon is wrong
(0030752)
git (administrator)
2014-08-14 15:57

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 29681f74b3e786de3006240ec8288b43abecbae7
(0030753)
git (administrator)
2014-08-14 16:11

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 09ea171c8834328979fb1ccc8a3617e631481a85
(0030754)
nbv (developer)
2014-08-14 16:13

I agree. This fact was documented into the CDL-file.
(0030755)
ifv (developer)
2014-08-14 16:26

Ok
(0030772)
git (administrator)
2014-08-15 12:27

Branch CR25109_1 has been updated forcibly by mkv.

SHA-1: d999fa40b78fcb88400fe7f2874e2ea694b276f2
(0030778)
mkv (tester)
2014-08-15 13:20

Dear BugMaster,

Branch CR25109_1 from occt git-repository (and master from products git-repository) was compiled on Linux platform.
SHA-1: d999fa40b78fcb88400fe7f2874e2ea694b276f2

There are extraction errors:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25109_1/job/mnt-CR25109_1-master_prepare_occt_linux/1/parsed_console/ [^]
Info : Complete : /misc/dn63/LocalWOK/wok_entities/LOC/dev/CR25109-1-master-occt/src/BRep/BRep_Builder.cdl
Error : "/misc/dn63/LocalWOK/wok_entities/LOC/dev/CR25109-1-master-occt/src/BRep/BRep_Builder.cdl", line 312: A class must have a constructor with name 'Create' or no 'me' or 'myclass' present for the method.
Error : "/misc/dn63/LocalWOK/wok_entities/LOC/dev/CR25109-1-master-occt/src/BRep/BRep_Builder.cdl", line 312: syntax error
Error : 2 errors.
Error : Errors occured
Error : Errors occured while executing BRep_Builder
Error : Exception was raised : SIGSEGV 'segmentation violation' detected. Address 8
(0030779)
git (administrator)
2014-08-15 13:26

Branch CR25109_1 has been updated forcibly by nbv.

SHA-1: 5ab6b03a072ceb6df07b2fc26e538e6b3b217d70
(0030780)
nbv (developer)
2014-08-15 13:29

Branch CR25109_1 was corrected with BRep_Builder.cdl changing ("comment signs" was added).

Please retest again.
(0030781)
ifv (developer)
2014-08-15 13:30

Ok
(0030787)
kgv (developer)
2014-08-15 14:58

Dear Nikolay,

-  Handle(BRep_CurveRepresentation) cr;
+  //Handle(BRep_CurveRepresentation) cr;
...
       // cr is used to keep a reference on the curve representation
       // this avoid deleting it as its content may be referenced by T
-      cr = itcr.Value();
+      ////cr = itcr.Value();

Please follow coding rules - remove commented code and related comment.
(0030791)
git (administrator)
2014-08-15 16:43

Branch CR25109_2 has been created by nbv.

SHA-1: ee984adfba4f2235a8ae73dc1f77231dcebf5ce8


This branch includes the following new commits:

       new ee984ad 0025109: Check PolygonOnTriangulation contained in edges


Detailed log of new commits:

commit ee984adfba4f2235a8ae73dc1f77231dcebf5ce8
Author: nbv
Date: Fri Aug 15 13:49:45 2014 +0400

    0025109: Check PolygonOnTriangulation contained in edges
    
    1. Check if PolygonOnTriangulation has some relation for the input edge.
    2. CDL was amended.
    3. Unused BRep_CurveRepresentation were deleted from file BRep_Builder.cxx.
(0030792)
nbv (developer)
2014-08-15 16:43

Unused BRep_CurveRepresentation was deleted in CR25109_2 branch. Please test it and integrate if all is OK.
(0030884)
mkv (tester)
2014-08-19 15:17

Branch CR25109_2 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: ee984adfba4f2235a8ae73dc1f77231dcebf5ce8

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25109_2/job/mnt-CR25109_2-master_occt_tests_windows_start/ [^]
http://occt-tests/CR25109-2-master-occt/Debian60-64/summary.html [^]
mesh standard_incmesh(002) C7, W4
mesh standard_incmesh_parallel(007) C7, W4
mesh standard_mesh(003) C7, W4
mesh standard_shading(001) W4

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25109_2/job/mnt-CR25109_2-master_products_tests_windows_start/label=windows_test,tests_group=emesh,tests_subgroup=001/1/HTML_Report/ [^]
http://occt-tests/CR25109-2-master-products/Debian60-64/emesh/standard/F2.html [^]
emesh standard(001) F2

Testing cases:
http://occt-tests/CR25109-2-master-occt/Debian60-64/bugs/moddata_3/bug25109.html [^]
http://occt-tests/CR25109-2-master-occt/Windows-32-VC10/bugs/moddata_3/bug25109.html [^]
bugs moddata_3(010) bug25109: OK

Testing on Linux:
Total MEMORY difference: 351621284 / 351760252
Total CPU difference: 49091.00999999999 / 45947.51000000014

There are no differences in images found by testdiff.
(0030885)
git (administrator)
2014-08-19 15:17

Branch CR25109_2 has been updated by mkv.

SHA-1: 32f97e2570ebcfbd7208c27d613bd96b0b04367c


      from ee984ad 0025109: Check PolygonOnTriangulation contained in edges
       new 32f97e2 Test cases for issue CR25109


Detailed log of new commits:

commit 32f97e2570ebcfbd7208c27d613bd96b0b04367c
Author: mkv
Date: Tue Aug 19 15:15:02 2014 +0400

    Test cases for issue CR25109

(0030912)
nbv (developer)
2014-08-20 10:27

A few words about found regressions.

According to existing conception, every shape must be covered by it bounding box fully (at that bounding box boundaries can be bigger than true shapes boundaries).

If the edge has polygon on triangulation it bounding box is built from this polygon and must cover this edge fully. If this condition is not satisfied existing polygon on triangulation can be considered as incorrect (or we must change the algorithm of bounding box computing) and must not be added to the edge. This checking was included in fix to this bug.

Into attached archive "problem_edges.zip" there are two folders containing some edges with their incorrect polygon on triangulation: "OCCT" contains edges from "mesh" testgrid and "PROD_emesh" contains an edge from "emesh" testgrid. On master polygon on triangulation is attached to these edges, now it is not (because polygon is wrong). It is the reason of regressions.

For checking if polygon on triangulation is correct you can use following script:
Draw[]> restore e* b
Draw[]> bounding b

Example of this script result is in the attached picture EmeshStandardF2_edge.png (edge outgo is seen well).

In conclusion I can say that new test cases behavior satisfies to new checking algorithm. So it is necessary to change these cases in order to they will be not considered as regression.
(0030915)
ifv (developer)
2014-08-20 10:56

Why edges is updated by wrong polygons in those tests?
(0030955)
git (administrator)
2014-08-20 18:23

Branch CR25109_3 has been created by nbv.

SHA-1: f7eb9d337cb06363804acd5044b842c689219445


This branch includes the following new commits:

       new f7eb9d3 0025109: Check PolygonOnTriangulation contained in edges


Detailed log of new commits:

commit f7eb9d337cb06363804acd5044b842c689219445
Author: nbv
Date: Wed Aug 20 16:44:45 2014 +0400

    0025109: Check PolygonOnTriangulation contained in edges
    
    1. Check if PolygonOnTriangulation has some relation for the input edge.
    2. CDL was amended.
    3. Unused BRep_CurveRepresentation were deleted from file BRep_Builder.cxx.
    
    Test cases for issue CR25109 is added.
(0030956)
nbv (developer)
2014-08-20 18:24

When edges are updated new polygon points are built from discrete parameter values (along edge curve).

When new polygon is checked, points with other parameter values are taken. Therefore, these points sometimes can be out of bounding box.

I.e. existing checking is strict. However, it is the reason of regressions. Therefore, in branch CR25109_3 more loyal checking is used.

Dear Igor!

Please review CR25109_3 branch.
(0030975)
ifv (developer)
2014-08-21 10:23

Ok
(0031063)
apv (tester)
2014-08-25 16:08
edited on: 2014-08-25 16:09

Dear BugMaster,

Branch CR25109_3 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: f7eb9d337cb06363804acd5044b842c689219445

Number of compiler warnings:
occt component:
   Linux 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs moddata_3 (013) bug25109 - OK
http://occt-tests/CR25109-3-master-occt/Debian60-64/bugs/moddata_3/bug25109.html [^]
http://occt-tests/CR25109-3-master-occt/Windows-32-VC10/bugs/moddata_3/bug25109.html [^]

Testing on Linux:
occt component:
   Total MEMORY difference: 352218116 / 352949028
   Total CPU difference: 42933.140000000094 / 44472.79000000007
products component:
   Total MEMORY difference: 110049180 / 110189000
   Total CPU difference: 18111.00000000002 / 17592.629999999976

Testing on Windows:
occt component:
   Total MEMORY difference: 239596672 / 240817060
   Total CPU difference: 35413.0 / 40197.765625
products component:
   Total MEMORY difference: 66312088 / 66526688
   Total CPU difference: 14470.734375 / 15969.453125

(0031174)
nbv (developer)
2014-08-29 10:49

It is necessary to move this checking into BREpCheck
(0031677)
git (administrator)
2014-09-12 17:09

Branch CR25109_4 has been created by nbv.

SHA-1: 1d888d784a4ed07d752b990dd4120f72c7168492


Detailed log of new commits:

Author: nbv
Date: Fri Sep 12 17:05:27 2014 +0400

    0023731: The shape obtained by stepread is valid in terms of checkshape but it is not valid in terms of usability.
    
    1. New status "BRepCheck_InvalidPolygonOnTriangulation" is added.
    2. Small correction of output of "checkshape" command result.
(0031690)
git (administrator)
2014-09-15 09:58

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: 26f141eb6f89d715c76f8c501f1c5004617b3324
(0031717)
git (administrator)
2014-09-15 17:40

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: 75b13eb9cb064dde407f43078642d47acad85270
(0031718)
nbv (developer)
2014-09-15 17:41

Branch CR25109_4 is ready to be reviewed.
(0031732)
git (administrator)
2014-09-15 20:15

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: 8e90b87aae0ff69cce2fdc6aed5331c669054dec
(0031734)
git (administrator)
2014-09-16 10:16

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: a8bc693f3ba1c351a80517954ceb5d799d2044ac
(0031749)
ifv (developer)
2014-09-16 13:47

Ok
(0031838)
git (administrator)
2014-09-17 21:13

Branch CR25109_4 has been updated forcibly by mkv.

SHA-1: a3317c4dbb30de9c1801d88bac65d3762d796848
(0031863)
mkv (tester)
2014-09-18 15:09

Dear BugMaster,
Branch CR25109_4 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: a3317c4dbb30de9c1801d88bac65d3762d796848

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25109-4-master-occt/Debian60-64/bugs/moddata_3/bug25109.html [^]
http://occt-tests/CR25109-4-master-occt/Windows-32-VC10/bugs/moddata_3/bug25109.html [^]
bugs moddata_3 bug25109: FAILED

Testing on Linux:
occt component :
Total MEMORY difference: 355654348 / 355211896
Total CPU difference: 45476.71000000004 / 45410.72000000016
products component :
Total MEMORY difference: 109983700 / 109993264
Total CPU difference: 18111.979999999952 / 17720.46999999998

Testing on Windows:
occt component :
Total MEMORY difference: 242539156 / 242180700
Total CPU difference: 36765.375 / 42815.75
products component :
Total MEMORY difference: 66790004 / 66634836
Total CPU difference: 10524.3125 / 10516.90625

There are following differences in images found by testdiff.
http://occt-tests/CR25109-4-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
http://occt-tests/CR25109-4-master-occt/Debian60-64/diff-Debian60-64.html [^]
IMAGE bugs modalg_4 bug62: bug62.png differs
IMAGE sewing tol_100 W6: W6.png differs
(0031868)
nbv (developer)
2014-09-18 16:18

Dear Mikhail!

A few words about regressions.

Firstly!
Test bugs moddata_3 bug25109 (which was created for the current bug) must contain following script:

restore e1 b2
checkshape b2
#shape is INVALID.

Output of "bounding " command is not important.

Secondly!
Difference in bug62.png is result of deleting (invalid) triangulation from the source shape. If we keep triangulation this test will be regression because source shape is not valid.


Thirty!
Difference in W6.png is result of work "checkshape" command. "Checkshape" marks invalid edges as red. It is shown in the picture.

General conclusion!
1. It is necessary to change test "bugs moddata_3 bug25109" according to above said recommendation.


2. Test "sewing tol_100 W6" must be changed too. Command "tclean result" must be added before "checkshape result".

3. Necessary changing in "bugs modalg_4 bug62" test:
3.1. Add "nbs result" with following reference data:
Draw[]> nbs result
Number of shapes in result
 VERTEX : 166
 EDGE : 217
 WIRE : 65
 FACE : 51
 SHELL : 3
 SOLID : 2
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 505

3.2. Add all necessary "TODO" in new test (test will be BAD after that).



Finaly!
Code change is not required.
(0032011)
mkv (tester)
2014-09-23 15:43

Dear BugMaster,
Test case bugs/moddata_3(013)/bug25109 was corrected.
Now is OK.
http://occt-tests/CR25109-4-master-occt/Debian60-64/bugs/moddata_3/bug25109.html [^]
http://occt-tests/CR25109-4-master-occt/Windows-32-VC10/bugs/moddata_3/bug25109.html [^]
(0032012)
git (administrator)
2014-09-23 15:43

Branch CR25109_4 has been updated by mkv.

SHA-1: 5a22fd52f616d3e7003f1dd79b9088011edb070a


Detailed log of new commits:

Author: mkv
Date: Tue Sep 23 15:42:07 2014 +0400

    Test case for issue CR25109

(0032013)
mkv (tester)
2014-09-23 15:43

Dear abv,
could you please validate folowiing correction of test cases:

2. Test "sewing tol_100 W6" must be changed too. Command "tclean result" must be added before "checkshape result".

3. Necessary changing in "bugs modalg_4 bug62" test:
3.1. Add "nbs result" with following reference data:
Draw[]> nbs result
Number of shapes in result
 VERTEX : 166
 EDGE : 217
 WIRE : 65
 FACE : 51
 SHELL : 3
 SOLID : 2
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 505

3.2. Add all necessary "TODO" in new test (test will be BAD after that).
(0032016)
nbv (developer)
2014-09-23 15:53

Dear Mikhail!

Please use "BRepCheck_InvalidPolygonOnTriangulation" phrase for regular expression into the test "bugs/moddata_3(013)/bug25109".
(0032099)
git (administrator)
2014-09-24 16:45

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: 13b7ad1cef1d507bbf806e92b57f3f1133b6fc9e
(0032181)
abv (manager)
2014-09-26 06:45

Reviewed, please re-test
(0032252)
git (administrator)
2014-09-26 16:15

Branch CR25109_4 has been updated forcibly by mkv.

SHA-1: 1f5d35d893a6633fc6e1045ec8559bdcb153ac0b
(0032313)
mkv (tester)
2014-09-29 16:24

Dear BugMaster,
Branch CR25109_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1f5d35d893a6633fc6e1045ec8559bdcb153ac0b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 193 (193 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25109-4-master-occt/Debian60-64/bugs/moddata_3/bug25109.html [^]
http://occt-tests/CR25109-4-master-occt/Windows-32-VC10/bugs/moddata_3/bug25109.html [^]
bugs moddata_3(013) bug25109: OK

Testing on Linux:
occt component :
Total MEMORY difference: 356737924 / 356475384
Total CPU difference: 50092.19000000005 / 47634.190000000126
products component :
Total MEMORY difference: 110610728 / 110618772
Total CPU difference: 19803.059999999983 / 17577.149999999998

Testing on Windows:
occt component :
Total MEMORY difference: 246372472 / 245913744
Total CPU difference: 32776.859375 / 36622.375
products component :
Total MEMORY difference: 66483352 / 66438372
Total CPU difference: 11877.390625 / 12373.3125

There are following differences in images found by testdiff.
http://occt-tests/CR25109-4-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25109-4-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE bugs modalg_4 bug62: bug62.png differs
IMAGE sewing tol_100 W6: W6.png differs
(0032321)
git (administrator)
2014-09-29 17:06

Branch CR25109_4 has been updated forcibly by nbv.

SHA-1: 5e668f33d81356eb4549f6c82b6f63c19a1aa6af
(0032322)
nbv (developer)
2014-09-29 17:09

Dear Andrey!

Please review CR25109_4 branch again.



Dear Mikhail (mkv)!
Please retest only two amended test cases:
tests/bugs/modalg_4/bug62
tests/sewing/tol_100/W6
(0032323)
abv (manager)
2014-09-29 17:22

No remarks
(0032463)
mkv (tester)
2014-09-30 16:37

OK.
CR25109_4 is TESTED.
(0033465)
git (administrator)
2014-10-21 16:44

Branch CR25109_4 has been deleted by inv.

SHA-1: 5e668f33d81356eb4549f6c82b6f63c19a1aa6af
(0033491)
git (administrator)
2014-10-21 16:45

Branch CR25109_3 has been deleted by inv.

SHA-1: f7eb9d337cb06363804acd5044b842c689219445
(0033492)
git (administrator)
2014-10-21 16:45

Branch CR25109_2 has been deleted by inv.

SHA-1: 32f97e2570ebcfbd7208c27d613bd96b0b04367c
(0033494)
git (administrator)
2014-10-21 16:45

Branch CR25109_1 has been deleted by inv.

SHA-1: 5ab6b03a072ceb6df07b2fc26e538e6b3b217d70

- Related Changesets
occt: master 52d45841
Timestamp: 2014-10-02 09:54:14
Author: nbv
Committer: bugmaster
Details ] Diff ]
0025109: Check PolygonOnTriangulation contained in edges

1. New status "BRepCheck_InvalidPolygonOnTriangulation" is added.
2. Small correction of output of "checkshape" command result.

Test cases were changed.

Test case for issue CR25109

Some test cases were changed according to their new behavior.
mod - src/BRepCheck/BRepCheck.cdl Diff ] File ]
mod - src/BRepCheck/BRepCheck.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cdl Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Face.cdl Diff ] File ]
mod - src/BRepCheck/BRepCheck_Face.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cdl Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff ] File ]
mod - tests/boolean/bfuse_complex/M7 Diff ] File ]
mod - tests/boolean/bopfuse_complex/E5 Diff ] File ]
mod - tests/bugs/modalg_4/bug62 Diff ] File ]
add - tests/bugs/moddata_3/bug25109 Diff ] File ]
mod - tests/bugs/vis/bug288_5 Diff ] File ]
mod - tests/heal/data/advanced/K4 Diff ] File ]
mod - tests/sewing/tol_100/W6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-29 10:03 pkv New Issue
2014-07-29 10:03 pkv Assigned To => ifv
2014-07-29 10:04 pkv File Added: e1
2014-07-29 10:06 pkv Priority normal => high
2014-07-29 10:06 pkv Status new => assigned
2014-07-29 10:06 pkv Description Updated View Revisions
2014-08-11 10:29 ifv Assigned To ifv => nbv
2014-08-11 18:26 git Note Added: 0030661
2014-08-11 18:35 kgv Summary It Is necesary tio check polygons contained in edges. => Check PolygonOnTriangulation contained in edges
2014-08-11 18:35 kgv Description Updated View Revisions
2014-08-11 18:35 kgv Steps to Reproduce Updated View Revisions
2014-08-12 09:49 git Note Added: 0030667
2014-08-12 11:51 git Note Added: 0030673
2014-08-12 18:36 kgv Relationship added related to 0025142
2014-08-13 15:04 git Note Added: 0030719
2014-08-13 18:00 git Note Added: 0030727
2014-08-14 09:19 nbv Note Added: 0030735
2014-08-14 09:19 nbv Assigned To nbv => ifv
2014-08-14 09:19 nbv Status assigned => resolved
2014-08-14 15:48 ifv Note Added: 0030751
2014-08-14 15:48 ifv Assigned To ifv => nbv
2014-08-14 15:48 ifv Status resolved => feedback
2014-08-14 15:57 git Note Added: 0030752
2014-08-14 16:11 git Note Added: 0030753
2014-08-14 16:13 nbv Note Added: 0030754
2014-08-14 16:13 nbv Assigned To nbv => ifv
2014-08-14 16:13 nbv Status feedback => resolved
2014-08-14 16:26 ifv Note Added: 0030755
2014-08-14 16:26 ifv Status resolved => reviewed
2014-08-15 12:00 mkv Assigned To ifv => mkv
2014-08-15 12:27 git Note Added: 0030772
2014-08-15 13:20 mkv Note Added: 0030778
2014-08-15 13:20 mkv Assigned To mkv => nbv
2014-08-15 13:20 mkv Status reviewed => assigned
2014-08-15 13:26 git Note Added: 0030779
2014-08-15 13:29 nbv Note Added: 0030780
2014-08-15 13:29 nbv Assigned To nbv => ifv
2014-08-15 13:29 nbv Status assigned => resolved
2014-08-15 13:30 ifv Note Added: 0030781
2014-08-15 13:30 ifv Status resolved => reviewed
2014-08-15 14:31 mkv Assigned To ifv => mkv
2014-08-15 14:58 kgv Note Added: 0030787
2014-08-15 16:43 git Note Added: 0030791
2014-08-15 16:43 nbv Note Added: 0030792
2014-08-19 15:17 mkv Note Added: 0030884
2014-08-19 15:17 git Note Added: 0030885
2014-08-19 15:17 mkv Test case number => bugs moddata_3(010) bug25109
2014-08-19 15:17 mkv Assigned To mkv => nbv
2014-08-19 15:17 mkv Status reviewed => assigned
2014-08-20 10:27 nbv Note Added: 0030912
2014-08-20 10:27 nbv Assigned To nbv => ifv
2014-08-20 10:27 nbv Status assigned => resolved
2014-08-20 10:28 nbv File Added: problem_edges.zip
2014-08-20 10:28 nbv File Added: EmeshStandardF2_edge.PNG
2014-08-20 10:56 ifv Note Added: 0030915
2014-08-20 10:56 ifv Assigned To ifv => nbv
2014-08-20 10:56 ifv Status resolved => feedback
2014-08-20 18:23 git Note Added: 0030955
2014-08-20 18:24 nbv Note Added: 0030956
2014-08-20 18:24 nbv Assigned To nbv => ifv
2014-08-20 18:24 nbv Status feedback => resolved
2014-08-21 10:23 ifv Note Added: 0030975
2014-08-21 10:23 ifv Status resolved => reviewed
2014-08-21 12:23 mkv Assigned To ifv => apv
2014-08-25 14:29 apv Test case number bugs moddata_3(010) bug25109 => bugs moddata_3(013) bug25109
2014-08-25 16:08 apv Note Added: 0031063
2014-08-25 16:09 apv Note Edited: 0031063 View Revisions
2014-08-25 16:09 apv Assigned To apv => bugmaster
2014-08-25 16:09 apv Status reviewed => tested
2014-08-28 17:45 bugmaster Assigned To bugmaster => abv
2014-08-28 17:45 bugmaster Status tested => feedback
2014-08-29 10:49 nbv Note Added: 0031174
2014-08-29 10:49 nbv Assigned To abv => nbv
2014-08-29 10:49 nbv Status feedback => assigned
2014-09-12 17:09 git Note Added: 0031677
2014-09-15 09:58 git Note Added: 0031690
2014-09-15 17:40 git Note Added: 0031717
2014-09-15 17:41 nbv Note Added: 0031718
2014-09-15 17:41 nbv Assigned To nbv => ifv
2014-09-15 17:41 nbv Status assigned => resolved
2014-09-15 20:15 git Note Added: 0031732
2014-09-16 10:16 git Note Added: 0031734
2014-09-16 13:47 ifv Note Added: 0031749
2014-09-16 13:47 ifv Status resolved => reviewed
2014-09-17 20:39 mkv Assigned To ifv => mkv
2014-09-17 21:13 git Note Added: 0031838
2014-09-18 15:09 mkv Note Added: 0031863
2014-09-18 15:10 mkv Assigned To mkv => nbv
2014-09-18 15:10 mkv Status reviewed => assigned
2014-09-18 16:18 nbv Note Added: 0031868
2014-09-18 16:18 nbv Assigned To nbv => ifv
2014-09-18 16:18 nbv Status assigned => resolved
2014-09-18 16:22 ifv Assigned To ifv => mkv
2014-09-18 16:22 ifv Status resolved => feedback
2014-09-23 15:43 mkv Note Added: 0032011
2014-09-23 15:43 git Note Added: 0032012
2014-09-23 15:43 mkv Note Added: 0032013
2014-09-23 15:44 mkv Assigned To mkv => abv
2014-09-23 15:53 nbv Note Added: 0032016
2014-09-24 16:45 git Note Added: 0032099
2014-09-26 06:45 abv Note Added: 0032181
2014-09-26 06:45 abv Assigned To abv => mkv
2014-09-26 06:45 abv Status feedback => reviewed
2014-09-26 16:15 git Note Added: 0032252
2014-09-29 16:24 mkv Note Added: 0032313
2014-09-29 16:24 mkv Assigned To mkv => nbv
2014-09-29 16:24 mkv Status reviewed => assigned
2014-09-29 17:06 git Note Added: 0032321
2014-09-29 17:09 nbv Note Added: 0032322
2014-09-29 17:09 nbv Assigned To nbv => abv
2014-09-29 17:09 nbv Status assigned => resolved
2014-09-29 17:22 abv Note Added: 0032323
2014-09-29 17:22 abv Assigned To abv => bugmaster
2014-09-29 17:22 abv Status resolved => reviewed
2014-09-29 18:12 mkv Assigned To bugmaster => mkv
2014-09-30 16:37 mkv Note Added: 0032463
2014-09-30 16:37 mkv Assigned To mkv => bugmaster
2014-09-30 16:37 mkv Status reviewed => tested
2014-10-03 14:07 bugmaster Changeset attached => occt master 52d45841
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033465
2014-10-21 16:45 git Note Added: 0033491
2014-10-21 16:45 git Note Added: 0033492
2014-10-21 16:45 git Note Added: 0033494
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker